> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appcharge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Checkout Link Offer

> Deletes a checkout link offer.

<RequestExample>
  ```bash Delete Checkout Link Offer theme={"system"}
  curl -X DELETE \
    'https://api.appcharge.com/v2/offer/checkout-link-1' \
    -H 'Content-Type: application/json' \
    -H 'x-publisher-token: <x-publisher-token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Delete Checkout Link Offer theme={"system"}
  {
    "offerId": "867f5b309118",
    "publisherId": "35nb7861ec9924a6b69a0fe59",
    "publisherOfferId": "checkout-link-1",
    "name": "My Checkout Link Offer",
    "displayName": "My Checkout Link Offer",
    "type": "CheckoutLink",
    "active": true,
    "segments": [
      "New User"
    ],
    "productsSequence": [
      {
        "index": 1,
        "playerAvailability": 12,
        "products": [
          {
            "priority": "Sub",
            "publisherProductId": "6cb43621ccf1",
            "quantity": "100"
          }
        ],
        "priceInUsdCents": 1000,
        "playerClickedTtl": 300
      }
    ],
    "badges": [
      {
        "publisherBadgeId": "22ac77ff889b"
      }
    ],
    "productSale": {
      "type": "percentage",
      "sale": 100
    },
    "priceDiscount": {
      "type": "percentage",
      "discount": 20
    },
    "description": "This is my checkout link offer description.",
    "deeplinkUrl": "https://best-game.appcharge.com/login/campaign/YL2bAHqnuSMBhXIwMJbEM",
    "createdAt": "2025-04-06T10:00:44.528Z",
    "updatedAt": "2025-04-06T10:00:44.528Z"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi-checkout-links.json DELETE /v2/offer/{publisherOfferId}
openapi: 3.0.1
info:
  title: Checkout Link Offers API
  description: API for managing Checkout Link Offers.
  version: '1.0'
servers:
  - url: https://api-sandbox.appcharge.com
security: []
paths:
  /v2/offer/{publisherOfferId}:
    delete:
      tags:
        - Checkout Link Offers
      summary: Delete Checkout Link Offer
      description: Deletes a checkout link offer.
      operationId: deleteCheckoutLinkOffer
      parameters:
        - name: publisherOfferId
          description: >-
            The offer ID provided by the publisher. This is the offer's
            **External ID** value in the Publisher Dashboard.
          required: true
          in: path
          schema:
            type: string
            example: checkout-link-1
        - name: x-publisher-token
          required: true
          in: header
          description: The publisher token
          schema:
            type: string
      responses:
        '200':
          description: Deleted offer.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutLinkDtoResponse'
        '401':
          description: Not Authorized
components:
  schemas:
    CheckoutLinkDtoResponse:
      type: object
      properties:
        publisherId:
          type: string
          description: Publisher ID.
        offerId:
          type: string
          description: The unique identifier of the checkout link offer.
        deeplinkUrl:
          type: string
          description: The deeplink offer URL.
        publisherOfferId:
          type: string
          description: >-
            The checkout link offer ID provided by the publisher. This is the
            offer's **External ID** value in the Publisher Dashboard.
        name:
          type: string
          description: The checkout link offer name.
        type:
          type: string
          description: The type of offer - In this case 'CheckoutLink'.
        active:
          type: boolean
          description: Whether the checkout link offer is active.
        segments:
          type: array
          description: >-
            List of player segments that this checkout link offer applies to
            (e.g., ["NewUser", "BigSpender"]).
          items:
            type: string
        productsSequence:
          type: array
          description: The sequence of the products included in the offer.
          items:
            type: object
            properties:
              index:
                type: integer
                description: The order of the products in the checkout link offer.
              playerAvailability:
                type: number
                description: >-
                  The amount of times the player can purchase the checkout link
                  offer.
              products:
                type: array
                description: List of products in the checkout link offer.
                items:
                  type: object
                  properties:
                    publisherProductId:
                      type: string
                      description: The product external ID.
                    quantity:
                      type: integer
                      description: The quantity of the product in the checkout link offer.
                    priority:
                      type: string
                      description: >-
                        Specifies the display priority of a product within the
                        checkout link offer.
                      enum:
                        - Main
                        - Sub
                      x-enum-descriptions:
                        - Main: >-
                            Primary display, with more prominent placement in
                            supported templates.
                        - Sub: >-
                            Secondary display, with less prominent placement in
                            supported templates.
              priceInUsdCents:
                type: integer
                description: The price of the product in cents.
        schedule:
          type: object
          description: The schedule for when the checkout link offer is available.
          properties:
            permanent:
              type: boolean
              description: Whether the checkout link offer is permanent.
            timeFrames:
              type: array
              description: >-
                The time frame for the scheduled offer. Leave blank if permanent
                is set to `true`. If permanent is `false`, at least 1 time frame
                is required. When specifying multiple `timeFrames`, the
                `startTime` and `endTime` of each must not overlap.
              items:
                type: object
                properties:
                  startTime:
                    type: string
                    description: Scheduled offer start time.
                    format: date-time
                  endTime:
                    type: string
                    description: Scheduled offer end time.
                    format: date-time
                  notes:
                    type: string
                    description: Notes about the scheduled offer.
            intervals:
              type: string
              description: >-
                Specifies the intervals for the scheduled checkout link offer.
                This is only applicable if `playerAvailability` is provided.
        createdAt:
          type: string
          description: Date the checkout link offer was created.
          format: date-time
        updatedAt:
          type: string
          description: Date the checkout link offer was updated.
          format: date-time

````